groovy.text

## Class TemplateParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.text.TemplateParseException

All Implemented Interfaces:
  java.io.Serializable

    public class TemplateParseException
    extends java.lang.RuntimeException

A custom exception class to flag template parsing errors

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TemplateParseException(int lineNumber, int column)`
`TemplateParseException(java.lang.String message, int lineNumber, int column)`
`TemplateParseException(java.lang.String message, java.lang.Throwable cause, int lineNumber, int column)`
`TemplateParseException(java.lang.Throwable t, int lineNumber, int column)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumn()`
`int` `getLineNumber()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TemplateParseException

    public TemplateParseException(int lineNumber,
                                  int column)

#### TemplateParseException

    public TemplateParseException(java.lang.String message,
                                  int lineNumber,
                                  int column)

#### TemplateParseException

    public TemplateParseException(java.lang.String message,
                                  java.lang.Throwable cause,
                                  int lineNumber,
                                  int column)

#### TemplateParseException

    public TemplateParseException(java.lang.Throwable t,
                                  int lineNumber,
                                  int column)

### Method Detail

#### getLineNumber

    public int getLineNumber()

#### getColumn

    public int getColumn()